Redmine - Feature #9553

CRUD operations for "Issue categories"” in REST API
2011-11-11 19:53 - Alex Last

Status: Closed Start date: 2011-11-11
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 10%
Category: REST API Estimated time: 0.00 hour
Target version: 1.3.0

Resolution: Fixed

Description

Associated revisions

Revision 7880 - 2011-11-20 15:55 - Jean-Philippe Lang
Makes issue categories available in project REST API (#9553).

Revision 7881 - 2011-11-20 16:55 - Jean-Philippe Lang

Resourcified issue categories (#9553).

Revision 7882 - 2011-11-20 18:09 - Jean-Philippe Lang
REST API for issue categories (#9553).

History

#1 - 2011-11-20 15:56 - Jean-Philippe Lang
- Subject changed from CRUD operations for "Project Components" in REST API to CRUD operations for "Issue categories" in REST API
- % Done changed from 0 to 10

r7880 lets you retrieve issue categories using: GET /projects/id.xml?include=issue_categories

#2 - 2011-11-20 18:14 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.3.0

- Resolution set to Fixed
Done in r7882. See Rest_lIssueCategories.
#3 - 2011-11-23 09:47 - Etienne Massip

Not sure that the :shallow => true is effective here (in r7881) since it is designed to apply to nested resources.
| already had a doubt for project news.

#4 - 2011-11-25 23:42 - Jean-Philippe Lang

| don't get it. Categories are nested resources, aren't they?
The :shallow => true shortens the url for a category (eg: /issue_categories/5 instead of /projects/foo/issue_categories/5).

#5 - 2011-11-28 09:38 - Etienne Massip
Jean-Philippe Lang wrote:

| don't get it. Categories are nested resources, aren't they?
The :shallow => true shortens the url for a category (eg: /issue_categories/5 instead of /projects/foo/issue_categories/5).

| guess you're right, | didn't make any test on my own; | guess I've been fooled by RoR documentation example where :shallow option is set at parent

(project) level.
